package com.nisum.paymentgatewayazuredataservice.service;

import com.nisum.paymentgatewayazuredataservice.domain.model.PaymentAuthData;
import com.nisum.paymentgatewayazuredataservice.repository.PaymentAuthH2Repository;
import lombok.NoArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import reactor.core.publisher.Mono;

import java.util.UUID;

@Service
@NoArgsConstructor
public class PaymentAuthH2Service  {
    @Autowired
    private PaymentAuthH2Repository repository;


    public Mono<PaymentAuthData> getOneById(String id) {
        System.out.println("GET AUTHORIZATION ");
        return repository.findById(id)
            .onErrorResume(Mono::error);
    }

    public Mono<PaymentAuthData> create(PaymentAuthData data) {
        data.setId(UUID.randomUUID().toString());
        System.out.println(repository);
        Mono<PaymentAuthData> saved = repository.save(data);
        System.out.println(saved);
        return saved;
    }
}
